# Abbildung 48 (Mafobuch, Gliederung des Kapitel 6)
library(ggrepel); setwd("C:/Users/Alpha/Desktop/R")
pdf(file="pdf/Abb48.pdf",width=11.7/2.54, height=8/2.54)
# par(mai=c(0,0,0,0))
a=arrow(angle=30,length=unit(0.05,"inches"),ends="last",type="closed")
ggplot() +
  geom_segment(aes(x=0,y=0,xend=9,yend=0),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=0,xend=9,yend=1),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=0,xend=0,yend=1),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=1,xend=9,yend=1),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=0.5,parse=FALSE,label="Bereitstellung der Datenmatrix",size=3) +
  geom_segment(aes(x=4.5,y=2,xend=4.5,yend=1),linetype="solid",size=0.25,arrow=a)+

  geom_segment(aes(x=0,y=2,xend=9,yend=2),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=2,xend=9,yend=3),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=2,xend=0,yend=3),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=3,xend=9,yend=3),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=2.5,parse=FALSE,label="Gewichtung",size=3) +
  geom_segment(aes(x=4.5,y=4,xend=4.5,yend=3),linetype="solid",size=0.25,arrow=a)+
  
  geom_segment(aes(x=0,y=4,xend=9,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=4,xend=9,yend=5),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=4,xend=0,yend=5),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=5,xend=9,yend=5),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=4.5,parse=FALSE,label="Hinzufgen neuer Merkmale",size=3) +
  geom_segment(aes(x=4.5,y=6,xend=4.5,yend=5),linetype="solid",size=0.25,arrow=a)+
  
  geom_segment(aes(x=0,y=6,xend=9,yend=6),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=6,xend=9,yend=7),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=6,xend=0,yend=7),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=7,xend=9,yend=7),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=6.5,parse=FALSE,label="bergabe an ein Statistik-Programm",size=3) +
  geom_segment(aes(x=4.5,y=8,xend=4.5,yend=7),linetype="solid",size=0.25,arrow=a)+
  
  geom_segment(aes(x=0,y=8,xend=9,yend=8),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=8,xend=9,yend=9),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=8,xend=0,yend=9),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=9,xend=9,yend=9),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=8.5,parse=FALSE,label="Digitalisierung inkl. Verschlsselung",size=3) +
  geom_segment(aes(x=4.5,y=10,xend=4.5,yend=9),linetype="solid",size=0.25,arrow=a)+
  
  geom_segment(aes(x=0,y=10,xend=9,yend=10),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=10,xend=9,yend=11),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=10,xend=0,yend=11),linetype="solid",size=0.25)+
  geom_segment(aes(x=0,y=11,xend=9,yend=11),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=10.5,parse=FALSE,label="Prfung und Redigierung des Datenmaterials",size=3) +

  theme(axis.line=element_blank(),axis.text.x=element_blank(),
        axis.text.y=element_blank(),axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),legend.position="none",
        panel.background=element_blank(),panel.border=element_blank(),panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),plot.background=element_blank())
dev.off() 